com.jacob.com

## Class VariantViaEvent

- java.lang.Object
- - com.jacob.com.JacobObject
  - - com.jacob.com.Variant
    - - com.jacob.com.VariantViaEvent

-     public class VariantViaEvent
      extends Variant

  a public class to variant that is used to track which variant objects are created by event callbacks This is solely used for that purpose.

- - ### Field Summary

    - ### Fields inherited from class com.jacob.com.Variant

      `DEFAULT, VariantArray, VariantBoolean, VariantByref, VariantByte, VariantCurrency, VariantDate, VariantDecimal, VariantDispatch, VariantDouble, VariantEmpty, VariantError, VariantFloat, VariantInt, VariantLongInt, VariantNull, VariantObject, VariantPointer, VariantShort, VariantString, VariantTypeMask, VariantVariant, VT_FALSE, VT_MISSING, VT_TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariantViaEvent()` Standard constructor used by JNI event handling layer

  - ### Method Summary

    - ### Methods inherited from class com.jacob.com.Variant

      `changeType, clone, cloneIndirect, finalize, getBoolean, getBooleanRef, getByte, getByteRef, getCurrency, getCurrencyRef, getDate, getDateRef, getDecimal, getDecimalRef, getDispatch, getDispatchRef, getDouble, getDoubleRef, getEmpty, getError, getErrorRef, getFloat, getFloatRef, getInt, getIntRef, getJavaDate, getJavaDateRef, getLong, getLongRef, getNull, getShort, getShortRef, getString, getStringRef, getVariant, getVariantArray, getVariantArrayRef, getvt, init, isNull, noParam, objectIsAConstant, putBoolean, putBooleanRef, putByte, putByteArray, putByteRef, putCharArray, putCurrency, putCurrencyRef, putDate, putDate, putDateRef, putDateRef, putDecimal, putDecimalRef, putDispatch, putDispatchRef, putDouble, putDoubleRef, putEmpty, putError, putErrorRef, putFloat, putFloatRef, putInt, putIntRef, putLong, putLongRef, putNoParam, putNothing, putNull, putObject, putObjectRef, putSafeArray, putSafeArrayRef, putShort, putShortRef, putString, putStringRef, putVariant, putVariantArray, putVariantArrayRef, safeRelease, SerializationReadFromBytes, SerializationWriteToBytes, toBoolean, toByte, toByteArray, toCharArray, toCurrency, toDate, toDispatch, toDouble, toEnumVariant, toError, toFloat, toInt, toJavaDate, toJavaObject, toObject, toSafeArray, toSafeArray, toScriptObject, toShort, toString, toVariant, toVariantArray, VariantClear`

    - ### Methods inherited from class com.jacob.com.JacobObject

      `debug, getBuildDate, getBuildVersion, isDebugEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariantViaEvent

          public VariantViaEvent()

      Standard constructor used by JNI event handling layer

http://jacob-project.sourceforge.net